Subject: Re: linux-next: build failure after merge of the battery tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 21 Oct 2015 09:32:56 +1100

Hi Sebastian,

On Fri, 16 Oct 2015 01:26:39 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Thu, 8 Oct 2015 12:04:24 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 2 Oct 2015 11:49:32 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > On Tue, 29 Sep 2015 11:45:31 +1000 Stephen Rothwell <[email-masked]> wrote:    
> > > >
> > > > After merging the battery tree, today's linux-next build (arm
> > > > multi_v7_defconfig) failed like this:
> > > > 
> > > > ERROR (phandle_references): Reference to non-existent node or label "twl4030_madc"
> > > > ERROR: Input tree has errors, aborting (use -f to force output)
> > > > scripts/Makefile.lib:293: recipe for target 'arch/arm/boot/dts/omap3-beagle-xm-ab.dtb' failed
> > > > 
> > > > and many more ...
> > > > 
> > > > Caused by commit
> > > > 
> > > >   af19161aaed7 ("ARM: dts: twl4030: Add iio properties for bci subnode")
> > > > 
> > > > Presumably some updates to other files were missed.
> > > > 
> > > > I have used the battery tree from next-20150925 fot today.    
> > > 
> > > I am still getting this error.    
> > 
> > Ping?  
> 
> I still got this error today ...

And still ... This has been going on for 4 weeks now ... either revert
the commit or get it fixed.  Nothing added to the battery tree since
September 25 has been able to be tested in linux-next.

-- 
Cheers,
Stephen Rothwell                    [email-masked]